Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
856 Views

calibration failure with px4 firmware v1.7.3

I've loaded the latest release of px4 firmware and qgroundcontrol fails to calibrate.

I get the following errors after attempting to calibrate the radio:

store parameters command failed

settings save error

Error: operation not permitted

I'm using v1.7.3 of the firmware from here: https://github.com/PX4/Firmware https://github.com/PX4/Firmwarehttps://github.com/PX4/Firmware https://github.com/PX4/Firmware

The qgroundcontrol version is: v3.3.0

I've also tried an older version of qgroundcontrol and encountered the same issues.

Any suggestions?

Thanks,

- Randy

UPDATE: This may have been fixed by commit: a25ca0c37d63ea090fda66c199a3b31dd0435d83

Issue: https://github.com/PX4/Firmware/issues/8585

0 Kudos
2 Replies
Highlighted
Community Manager
11 Views

Hello Randy,

 

 

Thank you for your interest in the Intel Aero drone.

 

 

Have you followed this guide to set up the radio?

 

 

https://docs.px4.io/en/config/radio.html

 

 

Hope this helps.

 

 

Regards,

 

Octavian

 

0 Kudos
Highlighted
Beginner
11 Views

This issue is fixed in the latest commit to the master branch.

However, the most recent "stable release" (v1.7.3) _does_ have this bug. I didn't delete this post because I wanted to provide warning/info for others that might encounter this issue.

I'd recommend that support staff try the latest stable release of the firmware so that they are aware of these issues.

Thanks.

0 Kudos